> ## Documentation Index
> Fetch the complete documentation index at: https://docs.epay123.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 结算加密货币地址申报

> 商户向平台申报用于接收结算款项的加密货币地址。申报后需要平台审核。



## OpenAPI

````yaml docs/api/cn/openapi.json post /api/channelbiz/cbcoinpay/settleAddressApply
openapi: 3.0.1
info:
  title: 支付Api接口文档
  contact:
    name: epay123
  license:
    name: Apache 2.0
    url: https://docs.epay123.net
  version: 1.0.1
servers:
  - url: https://sandbox-pay.epay123.net
    description: Generated server url
security: []
paths:
  /api/channelbiz/cbcoinpay/settleAddressApply:
    post:
      tags:
        - 钱包结算接口
      summary: 结算加密货币地址申报
      description: 商户向平台申报用于接收结算款项的加密货币地址。申报后需要平台审核。
      operationId: settleAddressApply
      requestBody:
        description: 结算加密货币地址申报请求参数
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplyCoinSettleAddrRQ'
        required: true
      responses:
        '200':
          description: 成功返回结果
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ApiResApplyCoinSettleAddrRS'
components:
  schemas:
    ApplyCoinSettleAddrRQ:
      required:
        - address
        - appId
        - mchNo
        - remark
        - reqTime
        - requestId
        - sign
        - signType
        - tokenId
        - version
      type: object
      properties:
        version:
          type: string
          description: 版本号
          example: 1.0.1
        signType:
          type: string
          description: 签名类型，目前只支持MD5方式
          example: MD5
        sign:
          type: string
          description: 签名值，详见签名算法
          example: xxxxxx
        reqTime:
          type: string
          description: 时间戳,13位时间戳
          example: '1622016572190'
        mchNo:
          type: string
          description: 商户号
          example: M1234567890
        appId:
          type: string
          description: 商户应用ID
          example: 88808634c46ff1a7807888888
        requestId:
          type: string
          description: 请求ID
          example: '12345678909'
        tokenId:
          type: string
          description: 结算币种的唯一标识
          example: TRON_USDT
        address:
          type: string
          description: 提币地址
          example: TX123456789021345678
        remark:
          type: string
          description: 备注
          example: remark
    ApiResApplyCoinSettleAddrRS:
      type: object
      properties:
        code:
          title: code
          type: integer
          description: 业务响应码
          format: int32
          example: 200
        msg:
          title: msg
          type: string
          description: 业务响应信息
          example: 成功
        data:
          $ref: '#/components/schemas/ApplyCoinSettleAddrRS'
        sign:
          title: sign
          type: string
          description: 签名值
    ApplyCoinSettleAddrRS:
      title: data
      required:
        - serverRequestId
        - status
      type: object
      properties:
        serverRequestId:
          type: string
          description: 平台申请ID
          example: '1234567890'
        status:
          type: integer
          description: '状态: 0-处理中, 1-正常, 2-失败'
          format: int32
          example: 0
      description: 数据对象

````